Bug 734914 - [NV46] suspend/resume fail with nouveau, colorful artifacts
Summary: [NV46] suspend/resume fail with nouveau, colorful artifacts
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: 15
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: [cat:modesetting]
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-31 20:20 UTC by Paweł Prażak
Modified: 2012-08-07 15:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 15:37:29 UTC


Attachments (Terms of Use)
artifacts photo (1.25 MB, image/jpeg)
2011-08-31 20:20 UTC, Paweł Prażak
no flags Details
dmesg with "drm.debug=14 log_buf_len=1M" in boot options (442.34 KB, text/plain)
2011-08-31 20:22 UTC, Paweł Prażak
no flags Details
messages.log (433.97 KB, text/plain)
2011-08-31 20:23 UTC, Paweł Prażak
no flags Details
pm-suspend.log (7.65 KB, text/plain)
2011-08-31 20:24 UTC, Paweł Prażak
no flags Details
Xorg.0.log (31.40 KB, text/plain)
2011-08-31 20:25 UTC, Paweł Prażak
no flags Details

Description Paweł Prażak 2011-08-31 20:20:47 UTC
Created attachment 520888 [details]
artifacts photo

Description of problem:
Resume after suspend makes machine useless, unless I switch it off and back on again. Screen is filled with blinking colorful artifacts.

There is a lots of artifacts with colors from the original image that should be
displayed and they are blinking like a broken fluorescent lamp. Screenshots are completely normal (no artifacts).

System is responsive, I can hear it (sound and hard drive) and it responds to
the keyboard and I have ssh session working.

I use nouveau driver with GeForce 7300, the bug is reproducible 100% on every
kernel I have.

Version-Release number of selected component (if applicable):
vmlinuz-2.6.40.3-2.fc15.x86_64, 
vmlinuz-2.6.40.3-0.fc15.x86_64,
vmlinuz-2.6.38.6-26.rc1.fc15.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Suspend
2. Resume
3. Artifacts
  
Actual results:
Artifacts.

Expected results:
Restored proper system state.

Additional info:
I tried vmlinuz-2.6.40.3-2.fc15.x86_64 from koji as sugested in https://bugzilla.redhat.com/show_bug.cgi?id=730582

uname -a
Linux xaos.fedora 2.6.40.3-2.fc15.x86_64 #1 SMP Thu Aug 25 06:17:20 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

nvclock -i
Xlib:  extension "NV-CONTROL" missing on display ":0".
-- General info --
Card: 		nVidia Geforce Go 7300
Architecture: 	NV46/G72 A3
PCI id: 	0x1d7
GPU clock: 	222.750 MHz
Bustype: 	PCI-Express

-- Pipeline info --
Pixel units: 2x2 (11b)
Vertex units: 3x1 (111b)
HW masked units: None
SW masked units: None

-- Memory info --
Amount: 	256 MB
Type: 		128 bit DDR
Clock: 		391.500 MHz

-- PCI-Express info --
Current Rate: 	16X
Maximum rate: 	16X

-- Sensor info --
Sensor: GPU Internal Sensor
GPU temperature: -241C

-- VideoBios information --
Version: 05.72.22.54.21
Signon message: GeForce Go 7300 VGA BIOS
Performance level 0: gpu 350MHz/memory 700MHz/1.00V/100%
VID mask: 1
Voltage level 0: 1.00V, VID: 1
Voltage level 1: 1.00V, VID: 1

Comment 1 Paweł Prażak 2011-08-31 20:22:57 UTC
Created attachment 520890 [details]
dmesg with "drm.debug=14 log_buf_len=1M" in boot options

Comment 2 Paweł Prażak 2011-08-31 20:23:34 UTC
Created attachment 520891 [details]
messages.log

Comment 3 Paweł Prażak 2011-08-31 20:24:22 UTC
Created attachment 520892 [details]
pm-suspend.log

Comment 4 Paweł Prażak 2011-08-31 20:25:05 UTC
Created attachment 520893 [details]
Xorg.0.log

Comment 5 Paweł Prażak 2011-09-02 08:22:54 UTC
Tested with kernel-2.6.40.4-5.fc15 as well, no change.

Comment 6 Fedora End Of Life 2012-08-07 15:37:31 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.